## org.apache.lucene.search
Class ScoreDoc

    java.lang.Object
      org.apache.lucene.search.ScoreDoc

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FieldDoc

    public class ScoreDoc

extends Object
implements Serializable

Expert: Returned by low-level search implementations.

See Also:
  `TopDocs`, Serialized Form

Field Summary
`int` `doc` Expert: A hit document's number.
`float` `score` Expert: The score of this document for the query.

Constructor Summary
`ScoreDoc(int doc, float score)` Expert: Constructs a ScoreDoc.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### score

    public float score

  Expert: The score of this document for the query.

### doc

    public int doc

  Expert: A hit document's number.

  See Also:
    `Searcher.doc(int)`

Constructor Detail

### ScoreDoc

    public ScoreDoc(int doc,
                    float score)

  Expert: Constructs a ScoreDoc.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.